Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime.breaks
Class BreakpointImpl

    java.lang.Object
      org.apache.ode.bpel.runtime.breaks.BreakpointImpl

All Implemented Interfaces:
  java.io.Serializable, Breakpoint

Direct Known Subclasses:
  ActivityBreakpointImpl

    public abstract class BreakpointImpl

extends java.lang.Object
implements Breakpoint, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`BreakpointImpl(java.lang.String uuid)`

Method Summary
`abstract boolean` | `checkBreak(BpelEvent event)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`boolean` | `isEnabled()` Test whether the break point is enabled.
`void` | `setEnabled(boolean enabled)` Enable or disable the break point.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BreakpointImpl

    public BreakpointImpl(java.lang.String uuid)

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)

  Description copied from interface: `Breakpoint`
  Enable or disable the break point.

  Specified by:
    `setEnabled` in interface `Breakpoint`
  Parameters:
    `enabled` - if `true` enable, otherwise disable
  See Also:
    `Breakpoint.setEnabled(boolean)`

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Breakpoint`
  Test whether the break point is enabled.

  Specified by:
    `isEnabled` in interface `Breakpoint`
  Returns:
    `true` if break-point is enabled, `false` otherwise
  See Also:
    `Breakpoint.isEnabled()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### checkBreak

    public abstract boolean checkBreak(BpelEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD